[CentOS] perl-base and perl-file-scan-clamav and perl dependency error re 5.8.8 ???

Robert - elists lists07 at abbacomm.net
Thu Nov 22 18:22:38 UTC 2007


Happy gobble gobble day!

Server is a mail and web box with latest centos 4 upgrades and has been
running and stable for probably over two years

Machine has perl 5.8.8 on it.

For a coupla days I have been trying to follow these basic instructions so
that I can run a test.

http://wiki.apache.org/spamassassin/ClamAVPlugin

Now, the issue I am running into is that I needed to get a file-scan-clamav
perm module in rpm

So I opened up browser and search for "file-scan-clamav perl dag rpm" and
found some choices

Eventually I end up with this file

http://rpm.pbone.net/index.php3/stat/4/idpl/3851508/com/perl-File-Scan-ClamA
V-1.8-1mud2007.0.noarch.rpm.html

then when I try to install it says I need perl-base so I search and goto

http://dag.wieers.com/rpm/packages/perl-base/

now...

when I install perl-base and then goto install the file-scan-clamav rpm I
get this...

yum localinstall perl-File-Scan-ClamAV-1.8-1mud2007.0.noarch.rpm
Setting up Local Package Process
Examining perl-File-Scan-ClamAV-1.8-1mud2007.0.noarch.rpm:
perl-File-Scan-ClamAV - 1.8-1mud2007.0.noarch
Marking perl-File-Scan-ClamAV-1.8-1mud2007.0.noarch.rpm to be installed
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package perl-File-Scan-ClamAV.noarch 0:1.8-1mud2007.0 set to be updated
--> Running transaction check
Setting up repositories
update                    100% |=========================|  951 B    00:00
base                      100% |=========================| 1.1 kB    00:00
addons                    100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
Excluding Packages in global exclude list
Finished
Excluding Packages in global exclude list
Finished
--> Processing Dependency: perl-base >= 2:5.8.8 for package:
perl-File-Scan-ClamAV
--> Finished Dependency Resolution
Error: Missing Dependency: perl-base >= 2:5.8.8 is needed by package
perl-File-Scan-ClamAV

at this point, I was wondering what I specifically need to do.

So, I tried rebuilding perl-base and installing it yet it asked to be signed
so I have to figure that part out and if it will solve this.

Is that what the error is about in regards to perl-base >= 2:5.8.8

Or am I missing something else?

Dag, would you consider putting File::Scan::ClamAV rpm on your site please?

Thanks and kind regards!

 - rh






More information about the CentOS mailing list